QGIS Application - Bug report #15591
Minscale down to 1:1 only
2016-09-20 10:21 PM - Paolo Cavallini

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Symbology

Affected QGIS version:2.16.2 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 23515
Description

Currently the min scale for scale dependent visualization is 1:1; 1:0 cannot be inserted.
As a result, zooming below 1:1 (e.g. 2:1) makes layer disappear.

It worked in a predictable way in previous versions.

Thanks Stefano for pointing this out.

History

#1 - 2016-09-21 02:38 AM - Matthias Kuhn
- Priority changed from Normal to Severe/Regression

#2 - 2016-09-21 02:40 AM - Matthias Kuhn

It's a regression and causes severe confusion because properly configured layers disappear when reconfiguring unrelated properties. One layer here often
gets reset its min/max to 1:5000/1:5000 which boils down to never show it.

#3 - 2016-10-19 05:19 AM - Matthias Kuhn
- Status changed from Open to Closed

Fixed in 1f1898df1616ce5d3239bf2257470dd2c6b96566
